# ApplicationFramework
TKBinL
BinObjMgt

# BinObjMgt_RRelocationTable Class Reference

`#include <BinObjMgt_RRelocationTable.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | BinObjMgt_RRelocationTable (const Standard_Integer NbBuckets=1)
Standard_EXPORT BinObjMgt_RRelocationTable & | Assign (const BinObjMgt_RRelocationTable &Other)
BinObjMgt_RRelocationTable & | operator= (const BinObjMgt_RRelocationTable &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~BinObjMgt_RRelocationTable ()
Standard_EXPORT Standard_Boolean | Bind (const Standard_Integer &K, const Handle(Standard_Transient)&I)
Standard_EXPORT Standard_Boolean | IsBound (const Standard_Integer &K) const
Standard_EXPORT Standard_Boolean | UnBind (const Standard_Integer &K)
Standard_EXPORT const Handle_Standard_Transient & | Find (const Standard_Integer &K) const
const Handle_Standard_Transient & | operator() (const Standard_Integer &K) const
Standard_EXPORT Handle_Standard_Transient & | ChangeFind (const Standard_Integer &K)
Handle_Standard_Transient & | operator() (const Standard_Integer &K)

## Private Member Functions

Standard_EXPORT | BinObjMgt_RRelocationTable (const BinObjMgt_RRelocationTable &Other)

## Constructor & Destructor Documentation

Standard_EXPORT BinObjMgt_RRelocationTable::BinObjMgt_RRelocationTable | ( | const Standard_Integer | NbBuckets = `1` | ) |

BinObjMgt_RRelocationTable::~BinObjMgt_RRelocationTable | ( |  | ) | `[inline]`

Standard_EXPORT BinObjMgt_RRelocationTable::BinObjMgt_RRelocationTable | ( | const BinObjMgt_RRelocationTable & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT BinObjMgt_RRelocationTable& BinObjMgt_RRelocationTable::Assign | ( | const BinObjMgt_RRelocationTable & | Other | ) |

Standard_EXPORT Standard_Boolean BinObjMgt_RRelocationTable::Bind | ( | const Standard_Integer & | K,
|  | const Handle(Standard_Transient)& | I
| ) |

Standard_EXPORT Handle_Standard_Transient& BinObjMgt_RRelocationTable::ChangeFind | ( | const Standard_Integer & | K | ) |

Standard_EXPORT void BinObjMgt_RRelocationTable::Clear | ( |  | ) |

Standard_EXPORT const Handle_Standard_Transient& BinObjMgt_RRelocationTable::Find | ( | const Standard_Integer & | K | ) | const

Standard_EXPORT Standard_Boolean BinObjMgt_RRelocationTable::IsBound | ( | const Standard_Integer & | K | ) | const

void BinObjMgt_RRelocationTable::operator delete | ( | void * | anAddress | ) | `[inline]`

void* BinObjMgt_RRelocationTable::operator new | ( | size_t | size | ) | `[inline]`

void* BinObjMgt_RRelocationTable::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_Standard_Transient& BinObjMgt_RRelocationTable::operator() | ( | const Standard_Integer & | K | ) | `[inline]`

const Handle_Standard_Transient& BinObjMgt_RRelocationTable::operator() | ( | const Standard_Integer & | K | ) | const`[inline]`

BinObjMgt_RRelocationTable& BinObjMgt_RRelocationTable::operator= | ( | const BinObjMgt_RRelocationTable & | Other | ) | `[inline]`

Standard_EXPORT void BinObjMgt_RRelocationTable::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean BinObjMgt_RRelocationTable::UnBind | ( | const Standard_Integer & | K | ) |

The documentation for this class was generated from the following file:

- BinObjMgt_RRelocationTable.hxx